#include "theSecrets.h"
#include "WiFi.h"

#include "esp32FirewallAPI.hpp"
#include "esp32Storage.hpp"

firewall::esp32FirewallApi *firewall_api;
firewall::Storage *storage;

void setup_wifi()
{
  uint8_t max_retries = 5;
  uint8_t retries = 1;
  log_i("Attempting to connect to WPA SSID: %s", ssid);
  WiFi.mode(WIFI_STA);
  WiFi.begin(ssid, psk);
  while (WiFi.status() != WL_CONNECTED && retries <= max_retries)
  {
    delay(2000);
    log_d("Connecting... (%i/%i)", retries++, max_retries);
  }
  log_i("Connected, IP Address: %s", WiFi.localIP().toString().c_str());
}

void setup()
{
  setup_wifi();
  // firewall_api = new esp32FirewallApi;
  storage = new firewall::Storage;
}

void loop()
{
  // firewall_api->handle_clients();
}